Error
A valid request URL is required to generate request examples{
"items": [
{
"name": "<string>",
"priority": 123,
"direction": "minimize",
"value": 123
}
],
"agencyId": "BLD1234567_production",
"planId": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016",
"planVersion": 42
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Solution
Retrieve the objectives of a plan solution
GET
/
plans
/
{planId}
/
solution
/
objectives
Error
A valid request URL is required to generate request examples{
"items": [
{
"name": "<string>",
"priority": 123,
"direction": "minimize",
"value": 123
}
],
"agencyId": "BLD1234567_production",
"planId": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016",
"planVersion": 42
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The plan UUID. Universally Unique Identifier.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"cd4ce4e3-0208-4b10-b346-25f235214e4f"
Response
Solution objectives response.
Show child attributes
Show child attributes
The agency id.
Pattern:
^BLD[0-9]{7}_[a-zA-Z0-9-._~:@!$,]+$Example:
"BLD1234567_production"
The plan id.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"4cbd0ab8-282c-4b30-b981-29e1ed8a2016"
The plan version.
Required range:
x >= 1Example:
42

